com.hazelcast.org.snakeyaml.engine.v1.exceptions

## Class ScannerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.org.snakeyaml.engine.v1.exceptions.YamlEngineException
        - - com.hazelcast.org.snakeyaml.engine.v1.exceptions.MarkedYamlEngineException
          - - com.hazelcast.org.snakeyaml.engine.v1.exceptions.ScannerException

- All Implemented Interfaces:
    Serializable

      public class ScannerException
      extends MarkedYamlEngineException

  Exception thrown by the `Scanner` implementations in case of malformed input.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScannerException(String problem, Optional<Mark> problemMark)`
    `ScannerException(String context, Optional<Mark> contextMark, String problem, Optional<Mark> problemMark)` Constructs an instance.

  - ### Method Summary

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.exceptions.MarkedYamlEngineException

      `getContext, getContextMark, getMessage, getProblem, getProblemMark, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScannerException

          public ScannerException(String context,
                                  Optional<Mark> contextMark,
                                  String problem,
                                  Optional<Mark> problemMark)

      Constructs an instance.
      Parameters:
        `context` - Part of the input document in which vicinity the problem occurred.
        `contextMark` - Position of the `context` within the document.
        `problem` - Part of the input document that caused the problem.
        `problemMark` - Position of the `problem` within the document.

    - #### ScannerException

          public ScannerException(String problem,
                                  Optional<Mark> problemMark)

Copyright © 2020. All rights reserved.